Info

General informational endpoints about the node.

Get Core API info

get
/v2/info

Get Core API information

Responses
chevron-right
200

Success

application/json

GET request for core node information

peer_versionintegerRequired

Identifies the version number for the networking communication. This should not change while a node is running, and will only change if there's an upgrade.

pox_consensusstringRequired

A hash used to identify the burnchain view for a node. It incorporates bitcoin chain information and PoX information. Nodes that disagree on this value will appear to each other as forks. This value changes after every block.

burn_block_heightintegerRequired

Latest bitcoin chain height.

stable_pox_consensusstringRequired

Same as pox_consensus, but evaluated at stable_burn_block_height.

stable_burn_block_heightintegerRequired

The bitcoin block height at which the last PoX anchor block was seen. Leftover from stacks 1.0, basically always burn_block_height - 1.

server_versionstringRequired

A version descriptor for the node.

network_idintegerRequired

Identifies the network (e.g., mainnet, testnet).

parent_network_idintegerRequired

same as network_id, but for bitcoin

stacks_tip_heightintegerRequired

The latest Stacks chain height.

stacks_tipstringRequired

The best known block hash for the Stacks chain.

stacks_tip_consensus_hashstringRequired

The bitcoin consensus hash at the time that stacks_tip was mined.

genesis_chainstate_hashstringRequired

The SHA256 hash of the genesis chainstate.

unanchored_tipstring · nullableOptional

The latest microblock hash if any microblocks were processed. If no microblock has been processed for the current block, a 000.., hex array is returned.

unanchored_seqinteger · nullableOptional

The sequence number of the latest microblock if any microblocks were processed.

tenure_heightintegerRequired

The latest Stacks tenure height.

exit_at_block_heightinteger · nullableOptional

The block height at which a testnet network will be reset. Not applicable to mainnet.

is_fully_syncedbooleanRequired

Indicates whether the node has fully synchronized with the network.

node_public_keystring · nullableOptional

The node's public key.

node_public_key_hashstring · nullableOptional

The HASH160 of the node's public key.

stackerdbsstring[] · nullableOptional
get
/v2/info

Get PoX details

get
/v2/pox

Get Proof of Transfer (PoX) information. Can be used for Stacking.

Query parameters
tipstring · max: 64Optional

Stacks chain tip to query from. Options:

  • (empty/omitted): Use latest anchored tip (canonical confirmed state)
  • latest: Use latest known tip including unconfirmed microblocks
  • {block_id}: Use specific block ID (64 hex characters)
Example: latestPattern: ^(latest|[0-9a-f]{64})?$
Responses
chevron-right
200

Success

application/json

Get Proof of Transfer (PoX) information

contract_idstringRequired

The contract identifier for the PoX contract

first_burnchain_block_heightintegerRequired

The first burn block evaluated in this Stacks chain

current_burnchain_block_heightintegerRequired

The latest Bitcoin chain block height

current_epochstringRequired

The ID of the Stacks Epoch that the node is currently in.

Pattern: ^Epoch[0-9]+(_[0-9]+)?$
pox_activation_threshold_ustxintegerRequired

The threshold of stacking participation that must be reached for PoX to activate in any cycle

rejection_fractioninteger · nullableOptional

The fraction of liquid STX that must vote to reject PoX in order to prevent the next reward cycle from activating.

reward_phase_block_lengthintegerRequired

The length in burn blocks of the reward phase

prepare_phase_block_lengthintegerRequired

The length in burn blocks of the prepare phase

reward_slotsintegerRequired

The number of reward slots in a reward cycle

total_liquid_supply_ustxintegerRequired

The current total amount of liquid microstacks.

reward_cycle_lengthintegerRequired

The length in burn blocks of a whole PoX cycle (reward phase and prepare phase)

reward_cycle_idintegerOptionalDeprecated

The active reward cycle number

min_amount_ustxintegerOptionalDeprecated
prepare_cycle_lengthintegerOptionalDeprecated
rejection_votes_left_requiredinteger · nullableOptionalDeprecated
next_reward_cycle_inintegerOptionalDeprecated

The number of blocks until the next reward cycle.

get
/v2/pox

Query the health of the node.

get
/v3/health

Get node health information. A node is considered healthy if its Stacks tip height matches the maximum Stacks tip height observed among its connected peers. This endpoint returns:

  • difference_from_max_peer: The difference in Stacks height between this node and its most advanced peer.

  • max_stacks_height_of_neighbors: The maximum Stacks height observed among the node"s connected peers.

  • node_stacks_tip_height: The current Stacks tip height of this node.

  • max_stacks_neighbor_address: The address of the most advanced peer. Null if no peer data is available.

Responses
chevron-right
200

Success

application/json

Health information about the node's synchronization status

difference_from_max_peerintegerRequired

The difference in Stacks height between this node and its most advanced peer

max_stacks_height_of_neighborsintegerRequired

The maximum Stacks height observed among the node's connected peers

node_stacks_tip_heightintegerRequired

The current Stacks tip height of this node

max_stacks_neighbor_addressstring · nullableOptional

The address of the most advanced peer

get
/v3/health

Get neighbor peers

get
/v2/neighbors

Get information about the node"s neighbor peers in the network.

Responses
chevron-right
200

List of neighbor peers

application/json

Information about the node's neighbor peers in the network.

get
/v2/neighbors
200

List of neighbor peers

Last updated

Was this helpful?